: Class JSUtil

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FESI.jslib
Class JSUtil

    java.lang.Object
      |
      +--FESI.jslib.JSUtil

public abstract class JSUtil
extends java.lang.Object

Abstract class used for interfacing the FESI EcmaScript interpreter with Java code. Contains the static utility functions, as the evaluator factory and object factory.

Constructor Summary
`JSUtil()`

Method Summary
`static java.lang.String` | `getVersion()` Return the version identifier of the interpreter
`static java.lang.String` | `getWelcomeText()` Return the welcome text (including copyright and version) of the interpreter (as two lines)
`static JSGlobalObject` | `makeEvaluator()` Create a new evaluator, with no extension loaded.
`static JSGlobalObject` | `makeEvaluator(java.lang.String[] extensions)` Create a new evaluator, with specfied extensions loaded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSUtil

    public JSUtil()

Method Detail

### makeEvaluator

    public static JSGlobalObject makeEvaluator()
                                        throws JSException

  Create a new evaluator, with no extension loaded.
  Returns:
    The global object of the created evaluator.
  Throws:
    JSException - For any error during initialization

### makeEvaluator

    public static JSGlobalObject makeEvaluator(java.lang.String[] extensions)
                                        throws JSException

  Create a new evaluator, with specfied extensions loaded.
  Parameters:
    `extensions` - The class name of the extensions to load.
  Returns:
    The global object of the created evaluator.
  Throws:
    JSException - For any error during initialization

### getVersion

    public static java.lang.String getVersion()

  Return the version identifier of the interpreter

### getWelcomeText

    public static java.lang.String getWelcomeText()

  Return the welcome text (including copyright and version) of the interpreter (as two lines)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD